## bash 4.3

=== debian/changelog ===
bash (4.3-7ubuntu1.7) trusty-security; urgency=medium

  * SECURITY UPDATE: word expansions on the prompt strings (LP: #1507025)
    - debian/patches/bash43-047.diff: add quoting to parse.y, y.tab.c.
    - CVE-2016-0634
  * SECURITY UPDATE: code execution via crafted SHELLOPTS and PS4
    (LP: #1689304)
    - debian/patches/bash43-048.diff: check for root in variables.c.
    - CVE-2016-7543
  * SECURITY UPDATE: restricted shell bypass via use-after-free
    - debian/patches/bash44-006.diff: check for negative offsets in
      builtins/pushd.def.
    - CVE-2016-9401

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 16 May 2017 07:52:48 -0400

bash (4.3-7ubuntu1.6) trusty-proposed; urgency=medium

  * When the readline `revert-all-at-newline' option is set, pressing newline
    when the current line is one retrieved from history results in a double
    free and a segmentation fault. LP: #1422795.

 -- Jeffrey Hutzelman <jhutz@destiny.pc.cs.cmu.edu>  Fri, 16 Oct 2015 17:21:23 -0400

bash (4.3-7ubuntu1.5) trusty-security; urgency=medium

  * SECURITY UPDATE: incorrect function definition parsing with
    here-document delimited by end-of-file
    - debian/patches/CVE-2014-6277.diff: properly handle closing delimiter
      in copy_cmd.c, make_cmd.c.
    - CVE-2014-6277
  * SECURITY UPDATE: incorrect function definition parsing via nested
    command substitutions
    - debian/patches/CVE-2014-6278.diff: properly handle certain parsing
      attempts in builtins/evalstring.c, parse.y, shell.h, y.tab.c.
    - CVE-2014-6278
  * Updated patches with official upstream versions:
    - debian/patches/CVE-2014-6271.diff
    - debian/patches/CVE-2014-7169.diff
    - debian/patches/variables-affix.diff
    - debian/patches/CVE-2014-718x.diff

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 Oct 2014 10:50:12 -0400

bash (4.3-7ubuntu1.4) trusty-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds memory access
    - debian/patches/CVE-2014-718x.diff: guard against overflow and fix
      off-by-one in parse.y and y.tab.c.
    - CVE-2014-7186
    - CVE-2014-7187
  * SECURITY IMPROVEMENT: use prefixes and suffixes for function exports
    - debian/patches/variables-affix.diff: add prefixes and suffixes in
      variables.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 26 Sep 2014 12:57:19 -0400

bash (4.3-7ubuntu1.3) trusty-security; urgency=medium

  * Updated debian/patches/CVE-2014-7169.diff to also patch y.tab.c in
    case it doesn't get regenerated when built (LP: #1374207)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Sep 2014 21:20:03 -0400

bash (4.3-7ubuntu1.2) trusty-security; urgency=medium

  * SECURITY UPDATE: incomplete fix for CVE-2014-6271
    - debian/patches/CVE-2014-7169.diff: fix logic in parse.y.
    - CVE-2014-7169

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Sep 2014 02:06:49 -0400

bash (4.3-7ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: incorrect function parsing
    - debian/patches/CVE-2014-6271.diff: fix function parsing in
      builtins/common.h, builtins/evalstring.c, subst.c, variables.c.
    - CVE-2014-6271

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 22 Sep 2014 15:26:16 -0400

bash (4.3-7ubuntu1) trusty-proposed; urgency=medium

  * Merge with Debian, replacing local with upstream patches. LP: #1294669.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Apr 2014 23:22:21 +0200

bash (4.3-7) unstable; urgency=medium

  * Apply upstream patches 009 - 011 (replacing local patches):
    - Fix a problem with unsigned sign extension when attempting to reallocate
      the input line when it is fewer than 3 characters long and there has been
      a history expansion.  The sign extension causes the shell to not
      reallocate the line, which results in a segmentation fault when it writes
      past the end.
    - Change the behavior of programmable completion to compensate for two
      assumptions made by the bash-completion package.
    - The signal handling changes to bash and readline (to avoid running any
      code in a signal handler context) cause the cursor to be placed on the
      wrong line of a multi-line command after a ^C interrupts editing.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Apr 2014 23:10:28 +0200

bash (4.3-6ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Apr 2014 22:47:44 +0200

bash (4.3-6) unstable; urgency=medium

  * Apply upstream patches 001 - 008:
    - A missing check for a valid option prevented `test -R' from working.
      There is another problem that causes bash to look up the wrong variable
      name when processing the argument to `test -R'.
    - A change to save state while running the DEBUG trap caused pipelines to
      hang on systems which need process group synchronization while building
      pipelines.
    - When in callback mode, some readline commands can cause readline
      to segfault by passing invalid contexts to callback functions.
    - The `.' command in vi mode cannot undo multi-key commands beginning with
      `c', `d', and `y' (command plus motion specifier).
    - When in Posix mode, bash did not correctly interpret the ANSI-C-style
      $'...' quoting mechanism when performing pattern substitution word
      expansions within double quotes.
    - A shell that started with job control active but was not interactive left
      the terminal in the wrong process group when exiting, causing its parent
      shell to get a stop signal when it attempted to read from the terminal.
    - Using compound assignments for associative arrays like
        assoc=( [x]= [y]=bar )

