=== debian/control ===
Source: bash
Section: base
Priority: required
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Standards-Version: 3.9.5
Build-Depends: autoconf, autotools-dev, bison, libncurses5-dev,
 texinfo, texi2html, debhelper (>= 5), locales, gettext, sharutils, time,
 xz-utils, dpkg-dev (>= 1.16.1)
Build-Depends-Indep: texlive-latex-base, ghostscript, texlive-fonts-recommended
Homepage: http://tiswww.case.edu/php/chet/bash/bashtop.html
Vcs-Browser: https://code.launchpad.net/~doko/+junk/pkg-bash-debian
Vcs-Bzr: http://bazaar.launchpad.net/~doko/+junk/pkg-bash-debian

Package: bash
Architecture: any
Multi-Arch: foreign
Pre-Depends: dash (>= 0.5.5.1-2.2), ${shlibs:Pre-Depends}, ${misc:Depends}
Depends: base-files (>= 2.1.12), debianutils (>= 2.15)
Recommends: bash-completion (>= 20060301-0)
Conflicts: bash-completion (<< 20060301-0)
Replaces: bash-doc (<= 2.05-1), bash-completion (<< 20060301-0)
Suggests: bash-doc
Essential: yes
Section: shells
Priority: required
Description: GNU Bourne Again SHell
 Bash is an sh-compatible command language interpreter that executes
 commands read from the standard input or from a file.  Bash also
 incorporates useful features from the Korn and C shells (ksh and csh).
 .
 Bash is ultimately intended to be a conformant implementation of the
 IEEE POSIX Shell and Tools specification (IEEE Working Group 1003.2).
 .
 The Programmable Completion Code, by Ian Macdonald, is now found in
 the bash-completion package.

Package: bash-static
Architecture: any
Multi-Arch: foreign
Depends: passwd (>= 1:4.0.3-10), ${misc:Depends}
Suggests: bash-doc
Section: shells
Priority: optional
Description: GNU Bourne Again SHell (static version)
 Bash is an sh-compatible command language interpreter that executes
 commands read from the standard input or from a file.  Bash also
 incorporates useful features from the Korn and C shells (ksh and csh).
 .
 Statically linked.

Package: bash-builtins
Architecture: any
Depends: bash (= ${binary:Version}), ${misc:Depends}
Section: utils
Priority: optional
Description: Bash loadable builtins - headers & examples
 Bash can dynamically load new builtin commands.  Included are the
 necessary headers to compile your own builtins and lots of examples.

Package: bash-doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Section: doc
Priority: optional
Replaces: bash (<< 4.3-2)
Description: Documentation and examples for the The GNU Bourne Again SHell
 Bash is an sh-compatible command language interpreter that executes
 commands read from the standard input or from a file.  Bash also
 incorporates useful features from the Korn and C shells (ksh and csh).
 .
 This package contains the distributable documentation, all the
 examples and the main changelog.
