## bash 4.3+linuxmint5

=== debian/changelog ===
bash (4.3+linuxmint5) sonya; urgency=medium

  * Fix build
  * Update README.md
  * Rebase on version 4.3-14ubuntu1.2

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 May 2017 13:20:07 +0100

bash (4.3+linuxmint4) serena; urgency=medium

  * Rebase on version 4.3-14ubuntu1.1

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2016 15:38:25 +0000

bash (4.3+linuxmint3) sarah; urgency=medium

  * Use colors when $TERM = "XTERM" (like in mate-terminal)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 17 May 2016 11:42:16 +0100

bash (4.3+linuxmint2) sarah; urgency=medium

  * Don't show sudo hint

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 May 2016 09:42:07 +0100

bash (4.3+linuxmint1) sarah; urgency=medium

  * Added support for mint-fortune
  * Updated prompt style
  * Added support for root prompts

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 May 2016 15:32:37 +0100

bash (4.3-14ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Sep 2015 01:15:55 +0200

bash (4.3-14) unstable; urgency=medium

  * Apply upstream patches 040 - 042.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Sep 2015 01:04:38 +0200

bash (4.3-13ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Tiago Stürmer Daitx <tiago.daitx@canonical.com>  Wed, 29 Jul 2015 18:37:59 -0300

bash (4.3-13) unstable; urgency=medium

  * Apply upstream patches 034 - 039.
  * Disallow setuid scripts if not called as `sh' and not called with
    the -p option. Closes: #720545, #734866.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Jul 2015 14:53:19 +0200

bash (4.3-12) unstable; urgency=medium

  * Apply upstream patches 031 - 033.
  * Add a Built-Using attribute for bash-static. Closes: #769342.
  * Move definition of the macro "FN" out of the region of the "ig"
    macro.  Define macros and registers "zZ" and "zY". Closes: #774597.
  * Also set color prompt for *-256color terminals. Closes: #766443.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Jan 2015 17:05:00 +0100

bash (4.3-11ubuntu3) wily; urgency=medium

  * debian/patches/privmode.diff: disabled patch to re-enable proper
    privilege dropping security feature. (LP: #1459201)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 May 2015 10:57:56 -0400

bash (4.3-11ubuntu2) vivid; urgency=medium

  * debian/etc.bash.bashrc: print a hint how to get root access if user
    is in sudo group (lp: #1358827)

 -- Andrey Bondarenko <abondarenko@users.sourceforge.net>  Wed, 29 Oct 2014 08:08:56 -0400

bash (4.3-11ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Oct 2014 16:23:35 +0200

bash (4.3-11) unstable; urgency=medium

  * Apply upstream patches 028 - 030.
  * Remove the parser-oob patch.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Oct 2014 16:20:35 +0200

bash (4.3-10ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Sep 2014 20:47:35 +0200

bash (4.3-10) unstable; urgency=medium

  * Apply upstream patches 026 and 027.
  * Remove patches CVE-2014-6271 and variables-affix.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Sep 2014 13:36:38 +0200

bash (4.3-9.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add variables-affix.patch patch.
    Apply patch from Florian Weimer to add prefix and suffix for environment
    variable names which contain shell functions.
  * Add parser-oob.patch patch.
    Fixes two out-of-bound array accesses in the bash parser.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 25 Sep 2014 21:27:16 +0000

bash (4.3-9.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Apply upstream patch bash43-025, fixing CVE-2014-6271.

 -- Florian Weimer <fw@deneb.enyo.de>  Wed, 24 Sep 2014 20:29:30 +0200

bash (4.3-9ubuntu4) utopic; urgency=medium

  * SECURITY UPDATE: out-of-bounds memory access
    - debian/patches/CVE-2014-718x.diff: guard against overflow and fix
      off-by-one in parse.y and y.tab.c.
    - CVE-2014-7186
    - CVE-2014-7187
  * SECURITY IMPROVEMENT: use prefixes and suffixes for function exports
    - debian/patches/variables-affix.diff: add prefixes and suffixes in
      variables.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 27 Sep 2014 05:20:35 -0400

bash (4.3-9ubuntu3) utopic; urgency=medium

  * SECURITY UPDATE: incomplete fix for CVE-2014-6271 (LP: #1373781)
    - debian/patches/CVE-2014-7169.diff: fix logic in parse.y and y.tab.c.
    - CVE-2014-7169

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Sep 2014 21:43:10 -0400

bash (4.3-9ubuntu2) utopic; urgency=medium

  * SECURITY UPDATE: incorrect function parsing
    - debian/patches/CVE-2014-6271.diff: fix function parsing in
      builtins/common.h, builtins/evalstring.c, subst.c, variables.c.
    - CVE-2014-6271

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 22 Sep 2014 15:21:42 -0400

bash (4.3-9ubuntu1) utopic; urgency=medium


