=== debian/rules ===
--- 
+++ 
@@ -144,17 +144,6 @@
 
 check: stamps/stamp-check
 stamps/stamp-check: bash-build
-	@echo BEGIN test
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-  ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	-sh debian/locale-gen
-	LOCPATH=$(CURDIR)/locales \
-		time $(MAKE) -C build-bash test 2>&1 | tee build-bash/test-protocol
-  endif
-else
-	@echo Suppress 'make' test, because this is cross build
-endif
-	@echo END test
 	touch stamps/stamp-check
 
 # ---------------------------------------------------------------------------
@@ -194,6 +183,7 @@
 	dh_installdirs -p$(p) \
 		bin \
 		etc/skel \
+		root \
 		usr/share/doc/$(p)
 	dh_installdirs -p$(p_doc) \
 		usr/share/doc/$(p)
@@ -227,6 +217,7 @@
 	: # skeleton files
 	$(ID) debian/etc.bash.bashrc $(d)/etc/bash.bashrc
 	$(ID) debian/skel.bashrc $(d)/etc/skel/.bashrc
+	$(ID) debian/skel.bashrc $(d)/root/.bashrc
 	$(ID) debian/skel.profile $(d)/etc/skel/.profile
 	$(ID) debian/skel.bash_logout $(d)/etc/skel/.bash_logout
 
@@ -275,3 +266,10 @@
 	mkdir -p $(d_doc)/usr/share/doc/$(p)
 ifeq ($(with_gfdl),yes)
 	dh_installdocs -p$(p_doc) 
+	cp -p build-bash/doc/bashref.{html,pdf} $(d_doc)/usr/share/doc/$(p)/.
+	mkdir -p $(d_doc)/usr/share/info
+	cp -p build-bash/doc/bash.info $(d_doc)/usr/share/info/.
+	dh_link -p$(p_doc) \
+	    /usr/share/doc/$(p)/bashref.html /usr/share/doc/$(p_doc)/bashref.html \
+	    /usr/share/doc/$(p)/bashref.pdf /usr/share/doc/$(p_doc)/bashref.pdf
+else
