## bash 4.3+pearl5.0

=== debian/changelog ===
bash (4.3+pearl5.0) elle; urgency=medium

  * Initial build for Pearl Linux 5.0

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Wed, 07 Dec 2016 19:02:44 -0600
