## bash 4.3-14ubuntu1+8.0trisquel1

=== debian/changelog ===
bash (4.3-14ubuntu1+8.0trisquel1) flidas; urgency=medium

  * Extended explanation for sudo_root, gnu.org #835148

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Jun 2016 16:44:24 +0000
