=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: bash
 Section: base
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Standards-Version: 3.9.5
+Maintainer: Matthias Klose <doko@debian.org>
+Standards-Version: 3.9.8
 Build-Depends: autoconf, autotools-dev, bison, libncurses5-dev,
- texinfo, texi2html, debhelper (>= 5), locales, gettext, sharutils, time,
+ texinfo, texi2html, debhelper (>= 9), gettext, sharutils,
+ locales <!nocheck>, time <!nocheck>,
  xz-utils, dpkg-dev (>= 1.16.1)
 Build-Depends-Indep: texlive-latex-base, ghostscript, texlive-fonts-recommended
 Homepage: http://tiswww.case.edu/php/chet/bash/bashtop.html
@@ -42,6 +42,7 @@
 Suggests: bash-doc
 Section: shells
 Priority: optional
+Built-Using: ${glibc:Source}
 Description: GNU Bourne Again SHell (static version)
  Bash is an sh-compatible command language interpreter that executes
  commands read from the standard input or from a file.  Bash also
@@ -64,7 +65,7 @@
 Section: doc
 Priority: optional
 Replaces: bash (<< 4.3-2)
-Description: Documentation and examples for the The GNU Bourne Again SHell
+Description: Documentation and examples for the GNU Bourne Again SHell
  Bash is an sh-compatible command language interpreter that executes
  commands read from the standard input or from a file.  Bash also
  incorporates useful features from the Korn and C shells (ksh and csh).
