=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 endif
 
 
-dpkg_buildflags = DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags
+dpkg_buildflags = DEB_CFLAGS_MAINT_APPEND="-Wall -no-pie" dpkg-buildflags
 CFLAGS := $(shell $(dpkg_buildflags) --get CFLAGS)
 CPPFLAGS := $(shell $(dpkg_buildflags) --get CPPFLAGS)
 LDFLAGS := $(shell $(dpkg_buildflags) --get LDFLAGS)
@@ -70,7 +70,6 @@
 		 -lncurses)
 
 conf_args = \
-	--with-curses \
 	--enable-largefile \
 	--prefix=/usr \
 	--infodir=/usr/share/info \
@@ -144,6 +143,17 @@
 
 check: stamps/stamp-check
 stamps/stamp-check: bash-build
+	@echo BEGIN test
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+  ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	-sh debian/locale-gen
+	LOCPATH=$(CURDIR)/locales \
+		time $(MAKE) -C build-bash test 2>&1 | tee build-bash/test-protocol
+  endif
+else
+	@echo Suppress 'make' test, because this is cross build
+endif
+	@echo END test
 	touch stamps/stamp-check
 
 # ---------------------------------------------------------------------------
@@ -156,7 +166,6 @@
 	rm -f debian/README.Debian
 	rm -rf locales
 	rm -f clear_console
-	rm -rf .pc
 	dh_clean
 
 preinst-build: debian/bash.preinst
@@ -179,17 +188,15 @@
 stamps/stamp-install-bash: before-build stamps/stamp-build-bash
 	dh_testdir
 	dh_testroot
-	dh_clean -k -p$(p) -p$(p_doc) -p$(p_bins)
+	dh_prep -p$(p) -p$(p_doc) -p$(p_bins)
 	dh_installdirs -p$(p) \
 		bin \
 		etc/skel \
-		root \
 		usr/share/doc/$(p)
 	dh_installdirs -p$(p_doc) \
 		usr/share/doc/$(p)
 	dh_installdirs -p$(p_bins) \
-		usr/share/doc/$(p)/examples/loadables \
-		usr/include/bash/{builtins,lib/{glob,tilde}}
+		usr/share/doc/$(p)/examples/loadables
 
 ifeq ($(with_gfdl),yes)
 # XXXXX
@@ -217,7 +224,6 @@
 	: # skeleton files
 	$(ID) debian/etc.bash.bashrc $(d)/etc/bash.bashrc
 	$(ID) debian/skel.bashrc $(d)/etc/skel/.bashrc
-	$(ID) debian/skel.bashrc $(d)/root/.bashrc
 	$(ID) debian/skel.profile $(d)/etc/skel/.profile
 	$(ID) debian/skel.bash_logout $(d)/etc/skel/.bash_logout
 
@@ -243,12 +249,8 @@
 		scripts/shprompt
 
 	: # files for the bash-builtins package
-	$(ID) include/*.h *.h  $(d_bins)/usr/include/bash/
-	$(ID) build-bash/*.h $(d_bins)/usr/include/bash/
-	rm -f $(d_bins)/usr/include/bash/y.tab.h
-	$(ID) builtins/*.h $(d_bins)/usr/include/bash/builtins/
-	$(ID) lib/glob/*.h $(d_bins)/usr/include/bash/lib/glob/
-	$(ID) lib/tilde/*.h $(d_bins)/usr/include/bash/lib/tilde/
+	mv $(d)/usr/include $(d_bins)/usr/.
+	mv $(d)/usr/lib $(d_bins)/usr/.
 	$(ID) examples/loadables/{README,*.c} \
 		$(d_bins)/usr/share/doc/$(p)/examples/loadables
 	$(ID) build-bash/examples/loadables/Makefile \
@@ -273,3 +275,4 @@
 	    /usr/share/doc/$(p)/bashref.html /usr/share/doc/$(p_doc)/bashref.html \
 	    /usr/share/doc/$(p)/bashref.pdf /usr/share/doc/$(p_doc)/bashref.pdf
 else
+	dh_installdocs -p$(p_doc) -X.doc-base
