## bash 4.4.18

=== debian/changelog ===
bash (4.4.18-2ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Apr 2018 20:30:26 +0200

bash (4.4.18-2) unstable; urgency=medium

  * Revert the changes from the last upload.
  * Configure the normal build --without-bash-malloc as well.
    See http://lists.nongnu.org/archive/html/qemu-devel/2018-03/msg04700.html
    for the qemu fix.  Closes: #865599. LP: #1751011.
  * Apply upstream patch 019.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Apr 2018 20:04:48 +0200

bash (4.4.18-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build again with -no-pie as dropping it broke bash when run under
    qemu-user (with the same symptoms as #842037). Closes: #889869
    Re-opens: #865599

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 13 Feb 2018 11:17:39 +0100

bash (4.4.18-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Feb 2018 13:12:30 +0100

bash (4.4.18-1) unstable; urgency=medium

  * bash 4.4.18 release (bash 4.4 patchlevel 18).
  * bash: Remove dependency on dash. Closes: #537913.
  * Update config.guess and config.sub. Closes: #882474.
  * skel.profile: Add $HOME/.local/bin if it exists. Closes: #839155.
  * Stop building with -no-pie. Closes: #865599, #859263.
  * /etc/bash.bashrc: Don't overwrite PS1 if SUDO_PS1 is set. Closes: #789811.
  * Make the build reproducible. Closes: #806945.
    - Use the system provided man2html to generate the htm docs.
    - Set PGRP_PIPE unconditionally on Linux.
  * Fix typo in German help (Carsten Leonhardt). Closes: #831282.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Feb 2018 12:20:45 +0100

bash (4.4-5ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 May 2017 13:32:04 -0400

bash (4.4-2ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Nov 2016 20:06:17 +0100

bash (4.4-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Nov 2016 17:04:27 +0100

bash (4.3-15ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jun 2016 09:16:03 +0200

bash (4.3-14ubuntu2) yakkety; urgency=medium

  * Disable building with pie (LP: #1518483)

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 25 Apr 2016 15:00:52 -0700
