=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 endif
 
 
-dpkg_buildflags = DEB_CFLAGS_MAINT_APPEND="-Wall -no-pie" dpkg-buildflags
+dpkg_buildflags = DEB_CFLAGS_MAINT_APPEND="-Wall" dpkg-buildflags
 CFLAGS := $(shell $(dpkg_buildflags) --get CFLAGS)
 CPPFLAGS := $(shell $(dpkg_buildflags) --get CPPFLAGS)
 LDFLAGS := $(shell $(dpkg_buildflags) --get LDFLAGS)
@@ -73,7 +73,8 @@
 	--enable-largefile \
 	--prefix=/usr \
 	--infodir=/usr/share/info \
-	--mandir=/usr/share/man
+	--mandir=/usr/share/man \
+	--without-bash-malloc
 ifeq ($(with_installed_rl),yes)
     conf_args += --with-installed-readline
 endif
@@ -85,7 +86,6 @@
 
 static_conf_args := $(conf_args) \
 	--enable-static-link \
-	--without-bash-malloc \
 
 #build: bash-build static-build preinst-build check
 build: before-build bash-build static-build preinst-build check
@@ -93,6 +93,8 @@
 build-indep: build
 
 before-build:
+	dh_testdir
+	dh_update_autotools_config
 	mkdir -p stamps
 	: # see #327477, needed to have HAVE_DEV_STDIN defined
 	(test -d /dev/fd && test -r /dev/stdin < /dev/null) \
@@ -135,7 +137,7 @@
 bash-doc-build: stamps/stamp-build-bash-doc
 stamps/stamp-build-bash-doc:
 	rm -f bash/doc/bashref.info
-	$(MAKE) -C build-bash/doc info html
+	$(MAKE) -C build-bash/doc info html MAN2HTML=/usr/bin/man2html
 	$(MAKE) -C build-bash/doc bash.pdf bashref.pdf
 	touch stamps/stamp-build-bash-doc
 
@@ -273,6 +275,3 @@
 	cp -p build-bash/doc/bash.info $(d_doc)/usr/share/info/.
 	dh_link -p$(p_doc) \
 	    /usr/share/doc/$(p)/bashref.html /usr/share/doc/$(p_doc)/bashref.html \
-	    /usr/share/doc/$(p)/bashref.pdf /usr/share/doc/$(p_doc)/bashref.pdf
-else
-	dh_installdocs -p$(p_doc) -X.doc-base
