## bash 4.4.18-2ubuntu1.3+9.0trisquel1

=== debian/changelog ===
bash (4.4.18-2ubuntu1.3+9.0trisquel1) etiona-security; urgency=medium

  * Extended explanation for sudo_root, gnu.org #835148

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 20 Apr 2022 09:36:05 +0000

bash (4.4.18-2ubuntu1.3) bionic-security; urgency=medium

  * SECURITY UPDATE: privilege gain via setuid
    - debian/patches/CVE-2019-18276.patch: replace the use of
      setuid and setgid when possible with setresuid and setresgid,
      respectively.
    - CVE-2019-18276

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Mon, 18 Apr 2022 17:08:18 +0200

bash (4.4.18-2ubuntu1.2) bionic; urgency=medium

  * d/p/bash44-020.diff: Add fix for hang on 'wait' statement
    (LP: #1822776)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 06 Jun 2019 15:28:15 -0700

bash (4.4.18-2ubuntu1.1) bionic; urgency=medium

  * Resurrect "Set the default path to comply with Debian policy" in
    deb-bash-config.diff which went missing since 4.2+dfsg-1 or so.
    LP: #1792004 LP: #1614080 Closes: #781367
  * Add autopkgtest for the built-in path.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 May 2019 14:50:32 +0100
