## bash 5.0

=== debian/changelog ===
bash (5.0-6ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Feb 2020 13:03:22 +0100

bash (5.0-6) unstable; urgency=medium

  * Apply upstream patches 012 - 016.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Feb 2020 12:44:22 +0100

bash (5.0-5ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Nov 2019 16:54:47 -0800

bash (5.0-5) unstable; urgency=medium

  * Apply upstream patches 004 - 011.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Nov 2019 11:45:12 +0100

bash (5.0-4ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 May 2019 21:06:48 -0700

bash (5.0-4) unstable; urgency=medium

  * wait builtin: avoid hanging on inherited children. Closes: #920455.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Apr 2019 06:12:36 +0200

bash (5.0-3ubuntu2) eoan; urgency=medium

  * Resurrect "Set the default path to comply with Debian policy" in
    deb-bash-config.diff which went missing since 4.2+dfsg-1 or so.
    LP: #1792004 LP: #1614080 Closes: #781367
  * Add autopkgtest for the built-in path.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 May 2019 14:31:24 +0100

bash (5.0-3ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Apr 2019 05:11:47 +0200

bash (5.0-3) unstable; urgency=medium

  * Apply upstream patch 003.
  * Fix clear_console locking up video when X is running and logging out
    from a plain text console. Closes: #810660. LP: #1822184.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Apr 2019 04:30:33 +0200

bash (5.0-2ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2019 11:22:45 +0100

bash (5.0-2) unstable; urgency=medium

  * Apply upstream patches 001 and 002. Closes: #919439.
  * Merge back the 4.4.18-3.1 upload. Closes: #889757.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Jan 2019 11:01:16 +0100

bash (5.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 19:06:48 +0100

bash (5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Jan 2019 16:27:51 +0100

bash (5.0~beta2-1) experimental; urgency=medium

  * New upstream beta release.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Dec 2018 19:35:07 +0100

bash (5.0~beta1-1) experimental; urgency=medium

  * New upstream beta release.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Oct 2018 16:06:36 +0200

bash (5.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jun 2018 20:33:31 +0200

bash (4.4.18-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move man2html dependency to B-D-I and use the thinner -base variant.
    Closes: #889757.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 17 Jun 2018 21:15:06 +0200

bash (4.4.18-3) unstable; urgency=medium

  * Apply upstream patches 020 - 023. Fixing:
    - In circumstances involving long-running scripts that create and reap many
      processes, it is possible for the hash table bash uses to store exit
      statuses from asynchronous processes to develop loops. This patch fixes
      the loop causes and adds code to detect any future loops.
    - A SIGINT received inside a SIGINT trap handler can possibly cause the
      shell to loop.
    - There are cases where a failing readline command (e.g., delete-char at
      the end of a line) can cause a multi-character key sequence to `back up'
      and attempt to re-read some of the characters in the sequence.
    - When sourcing a file from an interactive shell, setting the SIGINT handle
      to the default and typing ^C will cause the shell to exit.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jun 2018 21:05:11 +0200
