## bash 5.0.1.1

=== debian/changelog ===
bash (5.0.1.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 1e487d8cf98e9e35e464f1737e0156e1e794858f']

 -- shuttle <shuttle@deepin.com>  Tue, 04 Aug 2020 09:43:36 +0000
